Subject: bug#17773: AIX build errors with coreutils-8.22

From: Michael Felt <[email-masked]>
Date: Sat, 14 Jun 2014 18:00:14 +0200

Blind in one eye, could not see out the other: I thought I had listed the
warnings - they were above:
configure: WARNING: libattr development library was not found or not usable.
configure: WARNING: GNU coreutils will be built without xattr support.
configure: WARNING: libcap library was not found or not usable.
configure: WARNING: GNU coreutils will be built without capability support.
configure: WARNING: libgmp development library was not found or not usable.
configure: WARNING: GNU coreutils will be built without GMP support.

For the rest, I would rather not know the itty-gritty. My main reason for
coreutils is because of the differences between AIX install, bsd install
and coreutils install. coreutils version works where AIX and bsd fail.

On Sat, Jun 14, 2014 at 5:57 PM, Michael Felt <[email-masked]> wrote:

> I am "packaging" on a "clean" system, i.e., as few dependancies as
> possible. And I have some warnings about certain features not being
> included because the libraries are missing.
>
> Further, just compiling by manually adding -pthread seems to be working.
> Once I have the defines needed for the other programs I will run "make
> check"
>
> Thanks for the quick replies (I was on a plane and could not reply back
> earlier).
>
>
> On Fri, Jun 13, 2014 at 7:57 PM, Paul Eggert <[email-masked]> wrote:
>
>> On 06/13/2014 10:29 AM, Pádraig Brady wrote:
>>
>>> So I'd be inclined to add those definitions in the pthread module,
>>> but if not we could define at the top of sort.c at least?
>>>
>>
>> The latter doesn't sound safe, since it would mean the files in
>> libcoreutils.a would be compiled without -D_THREAD_SAFE and would thus
>> access a global shared errno even when linked with sort.c. So I vote for
>> the former.
>>
>>
>